pcl::GraphRegistration< GraphT > Class Template Referenceabstract
Module registration

GraphRegistration class is the base class for graph-based registration methods More...

`#include <pcl/registration/graph_registration.h>`

Inheritance diagram for pcl::GraphRegistration< GraphT >:

## Public Types

using | GraphHandler = pcl::registration::GraphHandler< GraphT >
using | GraphHandlerPtr = typename pcl::registration::GraphHandler< GraphT >::Ptr
using | GraphHandlerConstPtr = typename pcl::registration::GraphHandler< GraphT >::ConstPtr
using | GraphHandlerVertex = typename pcl::registration::GraphHandler< GraphT >::Vertex

## Public Member Functions

| GraphRegistration ()
| Empty constructor. More...
virtual | ~GraphRegistration ()
| Empty destructor. More...
template<typename PointT >
void | addPointCloud (const typename pcl::PointCloud< PointT >::ConstPtr &cloud, const Eigen::Matrix4f &pose)
| Add a point cloud and the associated camera pose to the graph. More...
void | setGraphHandler (GraphHandlerPtr &gh)
| Set the graph handler. More...
GraphHandlerPtr | getGraphHandler ()
| Get a pointer to the graph handler. More...
GraphHandlerConstPtr | getGraphHandler () const
| Get a pointer to the graph handler. More...
void | compute ()
| Check if new poses have been added, then call the registration method which is implemented by the subclasses. More...

## Protected Attributes

GraphHandlerPtr | graph_handler_
| The graph handler. More...
GraphHandlerVertex | last_aligned_vertex_
| The last estimated pose. More...
std::vector< GraphHandlerVertex > | last_vertices_
| The vertices added to the graph since the last call to compute. More...

## Detailed Description

### template<typename GraphT>
class pcl::GraphRegistration< GraphT >

GraphRegistration class is the base class for graph-based registration methods

Author
  Nicola Fioraio

Definition at line 53 of file graph_registration.h.

## Member Typedef Documentation

## GraphHandler

template<typename GraphT >

using pcl::GraphRegistration< GraphT >::GraphHandler = pcl::registration::GraphHandler<GraphT>

Definition at line 56 of file graph_registration.h.

## GraphHandlerConstPtr

template<typename GraphT >

using pcl::GraphRegistration< GraphT >::GraphHandlerConstPtr = typename pcl::registration::GraphHandler<GraphT>::ConstPtr

Definition at line 58 of file graph_registration.h.

## GraphHandlerPtr

template<typename GraphT >

using pcl::GraphRegistration< GraphT >::GraphHandlerPtr = typename pcl::registration::GraphHandler<GraphT>::Ptr

Definition at line 57 of file graph_registration.h.

## GraphHandlerVertex

template<typename GraphT >

using pcl::GraphRegistration< GraphT >::GraphHandlerVertex = typename pcl::registration::GraphHandler<GraphT>::Vertex

Definition at line 59 of file graph_registration.h.

## Constructor & Destructor Documentation

## GraphRegistration()

template<typename GraphT >

pcl::GraphRegistration< GraphT >::GraphRegistration | ( |  | ) |

inline

Empty constructor.

Definition at line 62 of file graph_registration.h.

## ~GraphRegistration()

template<typename GraphT >

virtual pcl::GraphRegistration< GraphT >::~GraphRegistration | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 68 of file graph_registration.h.

## Member Function Documentation

## addPointCloud()

template<typename GraphT >
template<typename PointT >

void pcl::GraphRegistration< GraphT >::addPointCloud | ( | const typename pcl::PointCloud< PointT >::ConstPtr & | cloud,
|  | const Eigen::Matrix4f & | pose
| ) |  |

inline

Add a point cloud and the associated camera pose to the graph.

Definition at line 72 of file graph_registration.h.

References pcl::GraphRegistration< GraphT >::graph_handler_, and pcl::GraphRegistration< GraphT >::last_vertices_.

## compute()

template<typename GraphT >

void pcl::GraphRegistration< GraphT >::compute | ( |  | ) |

inline

Check if new poses have been added, then call the registration method which is implemented by the subclasses.

Definition at line 102 of file graph_registration.h.

References pcl::GraphRegistration< GraphT >::last_aligned_vertex_, and pcl::GraphRegistration< GraphT >::last_vertices_.

## getGraphHandler() [1/2]

template<typename GraphT >

GraphHandlerPtr pcl::GraphRegistration< GraphT >::getGraphHandler | ( |  | ) |

inline

Get a pointer to the graph handler.

Definition at line 86 of file graph_registration.h.

References pcl::GraphRegistration< GraphT >::graph_handler_.

## getGraphHandler() [2/2]

template<typename GraphT >

GraphHandlerConstPtr pcl::GraphRegistration< GraphT >::getGraphHandler | ( |  | ) | const

inline

Get a pointer to the graph handler.

Definition at line 93 of file graph_registration.h.

References pcl::GraphRegistration< GraphT >::graph_handler_.

## setGraphHandler()

template<typename GraphT >

void pcl::GraphRegistration< GraphT >::setGraphHandler | ( | GraphHandlerPtr & | gh | ) |

inline

Set the graph handler.

Definition at line 79 of file graph_registration.h.

References pcl::GraphRegistration< GraphT >::graph_handler_.

## Member Data Documentation

## graph_handler_

template<typename GraphT >

GraphHandlerPtr pcl::GraphRegistration< GraphT >::graph_handler_

protected

The graph handler.

Definition at line 113 of file graph_registration.h.

Referenced by pcl::GraphRegistration< GraphT >::addPointCloud(), pcl::GraphRegistration< GraphT >::getGraphHandler(), and pcl::GraphRegistration< GraphT >::setGraphHandler().

## last_aligned_vertex_

template<typename GraphT >

GraphHandlerVertex pcl::GraphRegistration< GraphT >::last_aligned_vertex_

protected

The last estimated pose.

Definition at line 115 of file graph_registration.h.

Referenced by pcl::GraphRegistration< GraphT >::compute().

## last_vertices_

template<typename GraphT >

std::vector<GraphHandlerVertex> pcl::GraphRegistration< GraphT >::last_vertices_

protected

The vertices added to the graph since the last call to compute.

Definition at line 117 of file graph_registration.h.

Referenced by pcl::GraphRegistration< GraphT >::addPointCloud(), and pcl::GraphRegistration< GraphT >::compute().

The documentation for this class was generated from the following file:

- pcl/registration/graph_registration.h